package com.gh.gamecenter.adapter.viewholder;

import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;

import androidx.annotation.Nullable;

import com.facebook.drawee.view.SimpleDraweeView;
import com.gh.gamecenter.common.base.BaseRecyclerViewHolder;
import com.gh.gamecenter.R;

/**
 * Created by khy on 2016/11/9.
 */
public class CommentViewHolder extends BaseRecyclerViewHolder {

    public TextView commentContentTv;
    public ImageView commentLikeIv;
    public View commentLikeContainer;
    public TextView commentLikeCountTv;
    public TextView commentTimeTv;
    public SimpleDraweeView commentUserIconDv;
    public SimpleDraweeView commentUserBadgeIv;
    public TextView commentUserNameTv;
    public View commentAuthorTv;
    public View commentBadge;
    public ViewGroup quoteContainer;
    public TextView quoteAuthorTv;
    public TextView quoteContentTv;
    public SimpleDraweeView userBadgeSdv;
    public TextView badgeNameTv;
    public SimpleDraweeView quoteAuthorBadgeSdv;
    public View commentMore;
    public TextView commentReply;
    @Nullable
    public View replyLine;

    public CommentViewHolder(View itemView) {
        super(itemView);
        commentContentTv = itemView.findViewById(R.id.comment_content);
        commentLikeIv = itemView.findViewById(R.id.comment_like);
        commentLikeContainer = itemView.findViewById(R.id.comment_like_container);
        commentLikeCountTv = itemView.findViewById(R.id.comment_like_count);
        commentTimeTv = itemView.findViewById(R.id.comment_time);
        commentUserIconDv = itemView.findViewById(R.id.comment_user_icon);
        commentUserBadgeIv = itemView.findViewById(R.id.comment_user_badge);
        commentUserNameTv = itemView.findViewById(R.id.comment_user_name);
        commentAuthorTv = itemView.findViewById(R.id.comment_author);
        commentBadge = itemView.findViewById(R.id.comment_badge);
        quoteContainer = itemView.findViewById(R.id.comment_quote_container);
        quoteAuthorTv = itemView.findViewById(R.id.comment_quote_author_tv);
        quoteContentTv = itemView.findViewById(R.id.comment_quote_content_tv);
        userBadgeSdv = itemView.findViewById(R.id.sdv_user_badge);
        badgeNameTv = itemView.findViewById(R.id.tv_badge_name);
        quoteAuthorBadgeSdv = itemView.findViewById(R.id.sdv_quote_author_badge);
        commentMore = itemView.findViewById(R.id.comment_more);
        commentReply = itemView.findViewById(R.id.comment_reply);
        replyLine = itemView.findViewById(R.id.reply_dividing_line);
    }
}
